Get a person
curl --request GET \
--url https://api.b2bsignals.ai/api/v1/leads/details/{lead_id} \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.b2bsignals.ai/api/v1/leads/details/{lead_id}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.b2bsignals.ai/api/v1/leads/details/{lead_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.b2bsignals.ai/api/v1/leads/details/{lead_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.b2bsignals.ai/api/v1/leads/details/{lead_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.b2bsignals.ai/api/v1/leads/details/{lead_id}")
.header("X-API-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.b2bsignals.ai/api/v1/leads/details/{lead_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"company_domain": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"company_name": "<string>",
"score": 0,
"status": "new",
"person_name": "<string>",
"person_title": "<string>",
"person_linkedin_url": "<string>",
"person_email": "<string>",
"person_fit_score": 123,
"person_fit_reason": "<string>",
"tags": [],
"updated_at": "2023-11-07T05:31:56Z",
"outreach_contacted": false,
"outreach_replied": false,
"outreach_reply_intent": "<string>",
"has_outreach": false,
"crm_stage": "<string>",
"crm_stage_changed_at": "2023-11-07T05:31:56Z",
"crm_stage_source": "<string>",
"owner_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"owner_email": "<string>",
"crm_postponed_until": "2023-11-07T05:31:56Z",
"fit_verdict": "<string>",
"fit_verdict_at": "2023-11-07T05:31:56Z",
"fit_verdict_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"fit_verdict_reason": "<string>",
"fit_verdict_note": "<string>",
"stage": "<string>",
"do_not_contact": true,
"in_active_campaign": true,
"name_unresolved": false
}{
"detail": "<string>"
}{
"detail": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}People
Get a person
One person by id.
GET
/
leads
/
details
/
{lead_id}
Get a person
curl --request GET \
--url https://api.b2bsignals.ai/api/v1/leads/details/{lead_id} \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.b2bsignals.ai/api/v1/leads/details/{lead_id}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.b2bsignals.ai/api/v1/leads/details/{lead_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.b2bsignals.ai/api/v1/leads/details/{lead_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.b2bsignals.ai/api/v1/leads/details/{lead_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.b2bsignals.ai/api/v1/leads/details/{lead_id}")
.header("X-API-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.b2bsignals.ai/api/v1/leads/details/{lead_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"company_domain": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"company_name": "<string>",
"score": 0,
"status": "new",
"person_name": "<string>",
"person_title": "<string>",
"person_linkedin_url": "<string>",
"person_email": "<string>",
"person_fit_score": 123,
"person_fit_reason": "<string>",
"tags": [],
"updated_at": "2023-11-07T05:31:56Z",
"outreach_contacted": false,
"outreach_replied": false,
"outreach_reply_intent": "<string>",
"has_outreach": false,
"crm_stage": "<string>",
"crm_stage_changed_at": "2023-11-07T05:31:56Z",
"crm_stage_source": "<string>",
"owner_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"owner_email": "<string>",
"crm_postponed_until": "2023-11-07T05:31:56Z",
"fit_verdict": "<string>",
"fit_verdict_at": "2023-11-07T05:31:56Z",
"fit_verdict_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"fit_verdict_reason": "<string>",
"fit_verdict_note": "<string>",
"stage": "<string>",
"do_not_contact": true,
"in_active_campaign": true,
"name_unresolved": false
}{
"detail": "<string>"
}{
"detail": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
Your workspace's API key. It starts with b2b_sk_.
Path Parameters
Response
Success